# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.core.admin.options import ExtendibleModelAdmin

from acomea.angel.models import AttivazioneAngel


class AttivazioneAngelAdmin(ExtendibleModelAdmin):
    list_display = (
        'id', 'profilo', 'data_attivazione',
        'get_edit_icon'
    )
    advanced_search_fields = (
        (
            'profilo__user__username__icontains:Username',
            'profilo__user__email__icontains:Email',
        ),
    )

admin.site.register(AttivazioneAngel, AttivazioneAngelAdmin)
