# -*- coding: utf-8 -*-
from django.db import models
from django.conf import settings
from django.utils.translation import ugettext as _

from jmb.core.db.cmsmodels import StatusModel
from jmb.core.db.fields import HTMLFieldTinyMCE

from cms.models.pluginmodel import CMSPlugin


class AngelSettings(CMSPlugin, StatusModel):
    template_name = models.CharField(
        _("Template"),
        max_length=100,
        choices=settings.ANGEL_CMSPLUGIN_ANGEL_TEMPLATES,
        default="angel/cms_plugins/angel.html"
    )
    durata_demo = models.IntegerField(
        default=120,
        verbose_name=_("durata demo in giorni")
    )
    introduzione_app = HTMLFieldTinyMCE(
        verbose_name=_("introduzione app")
    )
    label_non_loggato = HTMLFieldTinyMCE(
        verbose_name=_("label non loggato")
    )
    link_non_loggato = models.CharField(
        max_length=255,
        verbose_name=_("link non loggato")
    )
    label_conferma = models.CharField(
        max_length=255,
        verbose_name=_("label conferma")
    )
    label_lead = HTMLFieldTinyMCE(
        verbose_name=_("label lead")
    )
    label_cliente = HTMLFieldTinyMCE(
        verbose_name=_("label cliente")
    )
    label_introduzione_app = HTMLFieldTinyMCE(
        verbose_name=_("label introduzione app")
    )
    link_introduzione_app = models.CharField(
        max_length=255,
        verbose_name=_("link introduzione app")
    )

    def __unicode__(self):
        return "%s %s" % (('On - ' if self.status else 'Off - '), self.template_name)

    class Meta:
        app_label = "angel"