# -*- coding: utf-8 -*-

import datetime

from django.utils.translation import ugettext_lazy as _
import admin_tools
from admin_tools.dashboard import modules, AppIndexDashboard

from jmb.core.admin import dashboard as jmb_dashboard


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        today = datetime.date.today()
        kwargs = {
            'title': "Angel",
            'display': "tabs",
            'children': [Models()]
        }
        super(DefaultDashboard, self).__init__(**kwargs)


class AngelDashboard(modules.Group):
    def __init__(self, **kwargs):
        today = datetime.date.today()
        kwargs = {
            'title': "Angel",
            'display': "tabs",
            'children': [Models()]
        }
        super(AngelDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs = {
            'title': _("Main Models"),
            'models': ('acomea.angel.models.*',),
        }
        super(Models, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 3

    def init_with_context(self, context):
        request = context['request']

        # Registered dashboards
        self.children.append(
            DefaultDashboard(),
        )

# Used in /admin 
jmb_dashboard.register_group(AngelDashboard, 'acomea.angel')
# Used in /admin/Angel
admin_tools.dashboard.register(DefaultAppDashboard, 'acomea.angel')
