# coding: utf-8
from django.conf import settings
from django.core.urlresolvers import reverse
from django.db import models
from django.utils.translation import ugettext_lazy as _

from jmb.core.db.models import DateModel, UserModel, StatusModel, OrderedModel, SEOModel
from jmb.i18n.models import TranslationModel, I18NModel
from jmb.core.db.fields import HTMLField, HTMLFieldTinyMCE

from acomea.profilo.models import AcomeaProfilo


class AttivazioneAngel(UserModel, DateModel):
    profilo = models.OneToOneField(
        AcomeaProfilo,
        related_name="attivazione_angel",
        verbose_name=_("profilo acomea")
    )
    data_attivazione = models.DateField(
        verbose_name=_("data attivazione")
    )

    class Meta:
        verbose_name = _("Attivazione Angel")
        verbose_name_plural = _("Attivazioni Angel")
        ordering = ("profilo__user__email",)

    def __unicode__(self):
        return "%s: %s" % (self.profilo.user.username, self.profilo.user.email)


if settings.CMS_ENABLED:
    import acomea.angel.cms.plugins
    # import acomea.angel.model.cms.app
